AbstractLoginHandler (Shibboleth Identity Provider 2.2.0 Java API.)
Date: 2010-09-23

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.internet2.middleware.shibboleth.idp.authn.provider
Class AbstractLoginHandler

    java.lang.Object
      edu.internet2.middleware.shibboleth.idp.authn.provider.AbstractLoginHandler

All Implemented Interfaces:
  LoginHandler

Direct Known Subclasses:
  IPAddressLoginHandler, PreviousSessionLoginHandler, RemoteUserLoginHandler, UsernamePasswordLoginHandler

    public abstract class AbstractLoginHandler

extends Object
implements LoginHandler

Base class for authentication handlers.

Field Summary

Fields inherited from interface edu.internet2.middleware.shibboleth.idp.authn.LoginHandler
`AUTHENTICATION_ERROR_KEY, AUTHENTICATION_EXCEPTION_KEY, AUTHENTICATION_METHOD_KEY, PRINCIPAL_KEY, PRINCIPAL_NAME_KEY, SUBJECT_KEY`

Constructor Summary
`protected` | `AbstractLoginHandler()` Constructor.

Method Summary
`long` | `getAuthenticationDuration()` Gets the length of time, in milliseconds, after which a user authenticated by this handler should be re-authenticated.
`List<String>` | `getSupportedAuthenticationMethods()` Gets the list of authentication methods this handler supports.
`void` | `setAuthenticationDuration(long duration)` Sets the length of time, in milliseconds, after which a user should be re-authenticated.
`void` | `setAuthenticationDurection(long duration)` Deprecated. use `setAuthenticationDuration(long)`
`void` | `setSupportsForceAuthentication(boolean supported)` Sets whether this handler supports forced re-authentication.
`void` | `setSupportsPassive(boolean supported)` Sets whether this handler supports passive authentication.
`boolean` | `supportsForceAuthentication()` Returns if this handler supports the ability to force a user to (re-)authenticate.
`boolean` | `supportsPassive()` Gets whether this handler supports passive authentication.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface edu.internet2.middleware.shibboleth.idp.authn.LoginHandler
`login`

Constructor Detail

### AbstractLoginHandler

    protected AbstractLoginHandler()

  Constructor.

Method Detail

### getSupportedAuthenticationMethods

    public List<String> getSupportedAuthenticationMethods()

  Gets the list of authentication methods this handler supports.

  Specified by:
    `getSupportedAuthenticationMethods` in interface `LoginHandler`
  Returns:
    authentication methods this handler supports

### getAuthenticationDuration

    public long getAuthenticationDuration()

  Gets the length of time, in milliseconds, after which a user authenticated by this handler should be re-authenticated.

  Specified by:
    `getAuthenticationDuration` in interface `LoginHandler`
  Returns:
    length of time, in milliseconds, after which a user should be re-authenticated

### setAuthenticationDuration

    public void setAuthenticationDuration(long duration)

  Sets the length of time, in milliseconds, after which a user should be re-authenticated.

  Parameters:
    `duration` - length of time, in milliseconds, after which a user should be re-authenticated

### setAuthenticationDurection

    public void setAuthenticationDurection(long duration)

  Deprecated. use `setAuthenticationDuration(long)`

  Sets the length of time, in milliseconds, after which a user should be re-authenticated.

  Parameters:
    `duration` - length of time, in milliseconds, after which a user should be re-authenticated

### supportsForceAuthentication

    public boolean supportsForceAuthentication()

  Returns if this handler supports the ability to force a user to (re-)authenticate.

  Specified by:
    `supportsForceAuthentication` in interface `LoginHandler`
  Returns:
    if this handler can force a user to (re-)authenticate.

### setSupportsForceAuthentication

    public void setSupportsForceAuthentication(boolean supported)

  Sets whether this handler supports forced re-authentication.

  Parameters:
    `supported` - whether this handler supports forced re-authentication

### supportsPassive

    public boolean supportsPassive()

  Gets whether this handler supports passive authentication.

  Specified by:
    `supportsPassive` in interface `LoginHandler`
  Returns:
    whether this handler supports passive authentication

### setSupportsPassive

    public void setSupportsPassive(boolean supported)

  Sets whether this handler supports passive authentication.

  Parameters:
    `supported` - whether this handler supports passive authentication.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Internet2. All Rights Reserved.